import { ApiProperty } from "@nestjs/swagger"
import { MoneyUpdate, MoneyUpdateType } from "@prisma/client"
import { IsOptional } from "class-validator"

export class MoneyUpdateEntity implements MoneyUpdate {
  constructor (partial: Partial<MoneyUpdateEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({ description: "Identifiant unique de la mise à jour de solde" })
  id: number

  @ApiProperty({ description: "Utilisateur⋅rice concerné⋅e par la mise à jour de solde" })
  userId: number

  @ApiProperty({ description: "Solde avant modification" })
  before: number

  @ApiProperty({ description: "Solde après modification" })
  after: number

  @ApiProperty({ description: "Type de modification de solde" })
  reason: MoneyUpdateType

  @ApiProperty({ description: "Identifiant de la réalisation de défi, si la mise à jour est liée à un défi", nullable: true })
  actionId: number

  @ApiProperty({ description: "Identifiant du trajet acheté, si la mise à jour est liée à la réservation d'un train", nullable: true })
  tripId: string
}
