import { ApiProperty } from "@nestjs/swagger"
import { TrainTrip } from "@prisma/client"
import { JsonValue } from "@prisma/client/runtime/library"

export class TrainEntity implements TrainTrip {
  constructor (partial: Partial<TrainEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({ description: "Identifiant du train, donné par l'identifiant de partage Interrail" })
  id: string

  @ApiProperty({ description: "Identifiant de l'utilisateur⋅rice effectuant le trajet" })
  userId: number

  @ApiProperty({ description: "Distance estimée en mètres du trajet" })
  distance: number

  @ApiProperty({ description: "Nom de la gare de départ" })
  from: string

  @ApiProperty({ description: "Nom de la gare d'arrivée" })
  to: string

  @ApiProperty({ description: "Date et heure de départ du train" })
  departureTime: Date

  @ApiProperty({ description: "Date et heure d'arrivée du train" })
  arrivalTime: Date

  @ApiProperty({ description: "Informations JSON supplémentaires transmises par Interrail" })
  infoJson: JsonValue
}
